com.impinj.stp

## Interface StpApi.AntennaConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.AntennaConfig, StpApi.AntennaConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.AntennaConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAntennaID()` The 1-based ID of the reader antenna.
    `boolean` | `getEnableAdaptiveTagPopulationEstimate()` Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.
    `boolean` | `getEnableQueryAtUCycleEnd()` Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.
    `boolean` | `getEnableQueryForQDecrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.
    `boolean` | `getEnableQueryForQIncrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.
    `StpApi.Gen2Mode` | `getGen2Mode()`
    `StpApi.Gen2Session` | `getGen2Session()`
    `StpApi.InventorySearchMode` | `getInventorySearchMode()`
    `int` | `getMaximumDwellTime()` Maximum time to dwell on the antenna in milliseconds.
    `int` | `getMinimumDwellTime()` Minimum time to dwell on the antenna in milliseconds.
    `int` | `getReceiveSensitivity()` Receive sensitivity in cdBm.
    `int` | `getTagPopulationEstimate()` optional bool tag_population_check = 9 [default = true];
    `int` | `getTransmitPower()` Transmit power in cdBm.
    `boolean` | `hasAntennaID()` The 1-based ID of the reader antenna.
    `boolean` | `hasEnableAdaptiveTagPopulationEstimate()` Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.
    `boolean` | `hasEnableQueryAtUCycleEnd()` Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.
    `boolean` | `hasEnableQueryForQDecrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.
    `boolean` | `hasEnableQueryForQIncrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.
    `boolean` | `hasGen2Mode()`
    `boolean` | `hasGen2Session()`
    `boolean` | `hasInventorySearchMode()`
    `boolean` | `hasMaximumDwellTime()` Maximum time to dwell on the antenna in milliseconds.
    `boolean` | `hasMinimumDwellTime()` Minimum time to dwell on the antenna in milliseconds.
    `boolean` | `hasReceiveSensitivity()` Receive sensitivity in cdBm.
    `boolean` | `hasTagPopulationEstimate()` optional bool tag_population_check = 9 [default = true];
    `boolean` | `hasTransmitPower()` Transmit power in cdBm.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasAntennaID

          boolean hasAntennaID()

      The 1-based ID of the reader antenna.

    - #### getAntennaID

          int getAntennaID()

      The 1-based ID of the reader antenna.

    - #### hasGen2Mode

          boolean hasGen2Mode()

    - #### getGen2Mode

          StpApi.Gen2Mode getGen2Mode()

    - #### hasInventorySearchMode

          boolean hasInventorySearchMode()

    - #### getInventorySearchMode

          StpApi.InventorySearchMode getInventorySearchMode()

    - #### hasGen2Session

          boolean hasGen2Session()

    - #### getGen2Session

          StpApi.Gen2Session getGen2Session()

    - #### hasTransmitPower

          boolean hasTransmitPower()

      Transmit power in cdBm.

    - #### getTransmitPower

          int getTransmitPower()

      Transmit power in cdBm.

    - #### hasReceiveSensitivity

          boolean hasReceiveSensitivity()

      Receive sensitivity in cdBm. If not specified, no RSSI filtering is done.

    - #### getReceiveSensitivity

          int getReceiveSensitivity()

      Receive sensitivity in cdBm. If not specified, no RSSI filtering is done.

    - #### hasTagPopulationEstimate

          boolean hasTagPopulationEstimate()

      optional bool tag_population_check = 9 [default = true];

    - #### getTagPopulationEstimate

          int getTagPopulationEstimate()

      optional bool tag_population_check = 9 [default = true];

    - #### hasMinimumDwellTime

          boolean hasMinimumDwellTime()

      Minimum time to dwell on the antenna in milliseconds. A value of 0 indicates no minimum.

    - #### getMinimumDwellTime

          int getMinimumDwellTime()

      Minimum time to dwell on the antenna in milliseconds. A value of 0 indicates no minimum.

    - #### hasMaximumDwellTime

          boolean hasMaximumDwellTime()

      Maximum time to dwell on the antenna in milliseconds. A value of 0 indicates no maximum.

    - #### getMaximumDwellTime

          int getMaximumDwellTime()

      Maximum time to dwell on the antenna in milliseconds. A value of 0 indicates no maximum.

    - #### hasEnableQueryForQIncrease

          boolean hasEnableQueryForQIncrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.

    - #### getEnableQueryForQIncrease

          boolean getEnableQueryForQIncrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.

    - #### hasEnableQueryForQDecrease

          boolean hasEnableQueryForQDecrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.

    - #### getEnableQueryForQDecrease

          boolean getEnableQueryForQDecrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.

    - #### hasEnableQueryAtUCycleEnd

          boolean hasEnableQueryAtUCycleEnd()

      Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.

    - #### getEnableQueryAtUCycleEnd

          boolean getEnableQueryAtUCycleEnd()

      Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.

    - #### hasEnableAdaptiveTagPopulationEstimate

          boolean hasEnableAdaptiveTagPopulationEstimate()

      Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.

    - #### getEnableAdaptiveTagPopulationEstimate

          boolean getEnableAdaptiveTagPopulationEstimate()

      Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.